/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { DateControl } from './date-control';
import * as i0 from "@angular/core";
export declare class AswDatepickerDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswDatepickerDialog>;
    control: DateControl;
    constants: any;
    aswDatepickerForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswDatepickerDialog>, control: DateControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: DateControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswDatepickerDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswDatepickerDialog, "asw-datepicker-dialog", never, {}, {}, never, never>;
}
